/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
*/

/*	Copyright (c) 1986 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*	This module is created for NLS on Sep.03.86		*/

#ident	"$Header: putws.c 1.1 89/10/20 $@(#)libw-port:wstdio/putws.c	1.0"

/*
 * Putws transforms process codes in wchar_t array pointed to by
 * "ptr" into a byte string in EUC, and writes the string followed
 * by a new-line character to stdout.
 */
#include "shlib.h"
#include <stdio.h>
#include <widec.h>

int
putws(ptr)
register wchar_t *ptr;
{
	register wchar_t *ptr0 = ptr;

	for ( ; *ptr; ptr++) { /* putwc till NULL */
		if (putwc(*ptr, stdout) == EOF)
			return(EOF);
	}
	putwc('\n', stdout); /* append a new line */

	if (fflush(stdout))  /* flush line */
		return(EOF);
	return(ptr - ptr0 + 1);
}
